Bug 1436342 - Bump samba version, required for FIPS mode and privilege separation
Summary: Bump samba version, required for FIPS mode and privilege separation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Abhijeet Kasurde
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 17:02 UTC by Pavel Vomacka
Modified: 2017-08-01 09:46 UTC (History)
5 users (show)

Fixed In Version: ipa-4.5.0-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:46:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2304 normal SHIPPED_LIVE ipa bug fix and enhancement update 2017-08-01 12:41:35 UTC

Description Pavel Vomacka 2017-03-27 17:02:07 UTC
Description of problem:
Bump samba to the version which works correctly for FIPS mode and priviledge separation. The latest version of Samba (4.0.5-1) should allow to create ad trust with FIPS mode.

Comment 2 Petr Vobornik 2017-03-27 17:03:40 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6671

Comment 3 Petr Vobornik 2017-03-27 17:04:05 UTC
Upstream ticket:
https://pagure.io/freeipa/issue/6697

Comment 5 Pavel Vomacka 2017-03-28 08:16:20 UTC
Sorry, I wrote here a bad version, proposed version is 4.6.0-4.

Comment 7 Abhijeet Kasurde 2017-05-26 10:27:03 UTC
Verified using Samba and IPA version ::

# rpm -qa samba* ipa-server
samba-client-libs-4.6.2-3.el7.x86_64
ipa-server-4.5.0-13.el7.x86_64
samba-common-4.6.2-3.el7.noarch

Quickinstall, FIPS RFE testing and Sanity Testcases used to verify this version.

Comment 8 errata-xmlrpc 2017-08-01 09:46:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2304


Note You need to log in before you can comment on or make changes to this bug.